Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class FlatFileHeaderAssembler

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
          com.servingxml.components.flatfile.layout.FlatFileHeaderAssembler

    public class FlatFileHeaderAssembler

extends FlatFileOptionsFactoryAssembler

The `FlatFileHeaderAssembler` implements an assembler for assembling `FlatFileHeader` objects.

Constructor Summary
`FlatFileHeaderAssembler()`

Method Summary
`FlatFileHeader` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(FlatRecordTypeFactory[] metaRecordFactories)`
`void` | `setLineCount(int lineCount)`
`void` | `setRecordLength(int recordLength)`

Methods inherited from class com.servingxml.components.flatfile.options.FlatFileOptionsFactoryAssembler
`assembleFlatFileOptions, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, injectComponent, setAlwaysQuote, setCountPositionsInBytes, setFlushRecordOnWrite, setIgnoreEmptyLines, setIgnoreTrailingEmptyLines, setJustify, setLineDelimited, setOmitFinalFieldDelimiter, setOmitFinalRepeatDelimiter, setPadCharacter, setQuote, setTrim, setTrimLeading, setTrimLeadingWithinQuotes, setTrimQuoted, setTrimTrailing, setTrimTrailingWithinQuotes, setTrimWithinQuotes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileHeaderAssembler

    public FlatFileHeaderAssembler()

Method Detail

### setLineCount

    public void setLineCount(int lineCount)

### setRecordLength

    public void setRecordLength(int recordLength)

### injectComponent

    public void injectComponent(FlatRecordTypeFactory[] metaRecordFactories)

### assemble

    public FlatFileHeader assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD